summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVolkmar W. Pogatzki <gentoo@pogatzki.net>2024-06-05 18:20:04 +0200
committerMiroslav Šulc <fordfrog@gentoo.org>2024-06-28 10:23:47 +0200
commitf1fce6210d9d4104738e3fa35214b477486be534 (patch)
tree294cbd1641c5da8c917fd9f095a87955fe333d8f
parentgnome-extra/gnome-commander: adjust poppler dep on 1.16.2 (diff)
downloadgentoo-f1fce6210d9d4104738e3fa35214b477486be534.tar.gz
gentoo-f1fce6210d9d4104738e3fa35214b477486be534.tar.bz2
gentoo-f1fce6210d9d4104738e3fa35214b477486be534.zip
java-utils-2.eclass: allow eant without java-ant-2_src_configure
Packages which can build without BSFIX need not inherit java-ant-2. To allow using eant without inheriting java-ant-2 we enhance the eant function with a condition which controls calling java-ant-2_src_configure. Signed-off-by: Volkmar W. Pogatzki <gentoo@pogatzki.net> Closes: https://github.com/gentoo/gentoo/pull/37022/commits/6ebf29fc691b6e38c8bf263eec2313d611298d25 Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>
-rw-r--r--eclass/java-utils-2.eclass22
1 files changed, 16 insertions, 6 deletions
diff --git a/eclass/java-utils-2.eclass b/eclass/java-utils-2.eclass
index 3c2d190c4c15..91f8fba8790b 100644
--- a/eclass/java-utils-2.eclass
+++ b/eclass/java-utils-2.eclass
@@ -2033,13 +2033,23 @@ java-utils-2_pkg_preinst() {
eant() {
debug-print-function ${FUNCNAME} $*
- if [[ ${EBUILD_PHASE} = compile ]]; then
- java-ant-2_src_configure
- fi
+ if [[ ${!JAVA_PKG_BSFIX*} ]] \
+ || [[ ${JAVA_ANT_BSFIX_EXTRA_ARGS} ]] \
+ || [[ ${JAVA_ANT_CLASSPATH_TAGS} ]] \
+ || [[ ${JAVA_ANT_JAVADOC_INPUT_DIRS} ]] \
+ || [[ ${JAVA_ANT_REWRITE_CLASSPATH} ]] \
+ || [[ ${EANT_BUILD_XML} ]] \
+ || [[ ${!EANT_GENTOO_CLASSPATH*} ]] \
+ || [[ ${EANT_TEST_GENTOO_CLASSPATH} ]]
+ then
+ if [[ ${EBUILD_PHASE} = compile ]]; then
+ java-ant-2_src_configure
+ fi
- if ! has java-ant-2 ${INHERITED}; then
- local msg="You should inherit java-ant-2 when using eant"
- java-pkg_announce-qa-violation "${msg}"
+ if ! has java-ant-2 ${INHERITED}; then
+ local msg="You should inherit java-ant-2 when using eant"
+ java-pkg_announce-qa-violation "${msg}"
+ fi
fi
local antflags="-Dnoget=true -Dmaven.mode.offline=true -Dbuild.sysclasspath=ignore"